| Qore Programming Language - C/C++ Library 1.0.8

Public Member Functions | List of all members
SocketSource Class Reference

a helper class for getting socket origination information More...

`#include <QoreSocket.h>`

## Public Member Functions
DLLEXPORT | SocketSource ()
| creates an empty object
DLLEXPORT | ~SocketSource ()
| destroys the object and frees all memory
DLLEXPORT const char * | getAddress () const
| returns the host address string as a C string More...
DLLEXPORT const char * | getHostName () const
| returns the hostname string as a C string More...
DLLEXPORT QoreStringNode * | takeAddress ()
| returns the host address string field and leaves the object's host address field empty; the caller owns the QoreStringNode reference count returned More...
DLLEXPORT QoreStringNode * | takeHostName ()
| returns the hostname string field and leaves the object's hostname field empty; the caller owns the QoreStringNode reference count returned More...

## Detailed Description

a helper class for getting socket origination information

objects of this class are used in some QoreSocket functions

See also
  QoreSocket::accept()
  QoreSocket::acceptSSL()
  QoreSocket::acceptAndReplace()

Deprecated:
  use QoreSocket::getPeerInfo() and QoreSocket::getSocketInfo() to get more detailed information; this data structure will not be enhanced and will disappear in the next major version of the Qore library

## Member Function Documentation

## ◆ getAddress()

DLLEXPORT const char* SocketSource::getAddress | ( |  | ) | const

returns the host address string as a C string

Returns
  the host address string as a C string

## ◆ getHostName()

DLLEXPORT const char* SocketSource::getHostName | ( |  | ) | const

returns the hostname string as a C string

Returns
  the hostname string as a C string

## ◆ takeAddress()

DLLEXPORT QoreStringNode* SocketSource::takeAddress | ( |  | ) |

returns the host address string field and leaves the object's host address field empty; the caller owns the QoreStringNode reference count returned

Returns
  the host address string; the caller owns the QoreStringNode reference count returned

## ◆ takeHostName()

DLLEXPORT QoreStringNode* SocketSource::takeHostName | ( |  | ) |

returns the hostname string field and leaves the object's hostname field empty; the caller owns the QoreStringNode reference count returned

Returns
  the hostname string; the caller owns the QoreStringNode reference count returned

The documentation for this class was generated from the following file:

- include/qore/QoreSocket.h